%global  momorel 1
%global  src0_md5sum  1059a78144ea249f620cb3e0eb41add2
%global  src0_dir     673

Summary: Generic connection pool server for PostgreSQL
Name: pgpool
Version: 2.7.2
Release: %{momorel}m%{?dist}
%NoSource 0 http://pgfoundry.org/frs/download.php/%{src0_dir}/%{name}-%{version}.tar.gz %{src0_md5sum}
Source1: rc.pgpool
Patch1: pgpool.conf.sample.patch
License: BSD
Group: Applications/Databases
URL: http://www2b.biglobe.ne.jp/~caco/pgpool/
Buildroot: %{_tmppath}/%{name}-%{version}-root
PreReq: chkconfig

%description
pgpool is a generic connection pool server for PostgreSQL. It also enables
database replication and load balancing.

%prep
%setup -q
%patch1 -p0

%build
%configure
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# startup script
install -d %{buildroot}%{_initscriptdir}
install -m 755 %{SOURCE1} %{buildroot}%{_initscriptdir}/pgpool

# configuration file
if [ ! -f %{buildroot}%{_sysconfdir}/pgpool.conf ]
then
    cp %{buildroot}%{_sysconfdir}/pgpool.conf.sample %{buildroot}%{_sysconfdir}/pgpool.conf
fi

%post
/sbin/chkconfig --add pgpool

%preun
if [ $1 = 0 ] ; then
    if test -r /var/run/pgpool.pid
    then
        %{_initscriptdir}/pgpool stop
    fi
    /sbin/chkconfig --del pgpool
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS README README.euc_jp COPYING ChangeLog NEWS TODO
%{_bindir}/pgpool
%{_sysconfdir}/pgpool.conf.sample
%config %{_initscriptdir}/pgpool
%config(noreplace) %{_sysconfdir}/pgpool.conf
%{_mandir}/man8/pgpool.8*

%changelog
* Fri Feb  3 2006 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.7.2-1m)
- update to 2.7.2 - bugfix release

* Sun Nov 27 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.6.5-1m)
- update to 2.6.5 - bugfix release

* Mon Oct 23 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (2.6.4-1m)
- update to 2.6.4 - bugfix release

* Wed Sep 14 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (2.6.3-1m)
- update to 2.6.3

* Sat Aug 6 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (2.6.2-1m)
- update to 2.6.2

* Sat Jul 2 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (2.6-1m)
- update to 2.6

* Fri Feb 4 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (2.5-1m)
- update to 2.5

* Tue Dec 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.3.3-1m)
- initial import to Momonga
